function f_gist = gist_img(img)

    % Parameters:
    orientationsPerScale = [8 8 4];
    numberBlocks = 1;
    imageSize = 256;  % image must be a square 
    % Precompute filter transfert functions (only need to do this one, unless image size is changes):
    % createGabor(orientationsPerScale, imageSize); % this shows the filters

    G = createGabor(orientationsPerScale, imageSize);

   
    if size(img,3)>1
       img = rgb2gray(img); 
    end
    img = imresize(img,[256 256]);
    output = prefilt(double(img), 4);
    f_gist = gistGabor(output, 1, G);
%         g2 = gistGabor(output, 2, G);
%         g = cat(1,g1,g2);

    
end
