%Gist feature extraction addpath(genpath('/home/dengxin/Code'));

dictoryPath = '/scratch/Dai/Data/retrieval/holiday/';
imgFolders = dir(strcat(dictoryPath,'*'));
imgFolders = imgFolders(3:end);
labelNums = length(imgFolders);

for nFolders=1:labelNums
 imgPath = strcat(dictoryPath,imgFolders(nFolders).name,'/');
imgSet = dir(fullfile(imgPath,'*.jpg'));
imgNums = length(imgSet);

% Parameters:
mapping=getmapping(8,'u2');
      % image must be a square 
% Precompute filter transfert functions (only need to do this one, unless image size is changes):
% createGabor(orientationsPerScale, imageSize); % this shows the filters

savePath = strcat(imgPath,'plbp');
if ~exist(savePath,'dir')
     mkdir(savePath);
end

for n=1:imgNums  
    imgName = strcat(imgPath,imgSet(n).name);
    img = imread(imgName);
    img = imresize(img,[256 256]);
    [H,W,Z] = size(img);
    if Z>1
      img = rgb2gray(img);    
    end
    
    H1 = LBP(img,1,8,mapping,'nh');
%     H2 = LBP(img(1:round(H/2),1:round(W/2)),1,8,mapping,'nh');
%     H3 = LBP(img(round(H/2)+1:H,1:round(W/2)),1,8,mapping,'nh');
%     H4 = LBP( img(1:round(H/2),round(W/2)+1:W),1,8,mapping,'nh' );
%     H5 = LBP( img(round(H/2)+1:H,round(W/2)+1:W),1,8,mapping,'nh');

%     g = cat(2,H1,H2,H3,H4,H5)';
    g = H1; 
    g = normalize(g).*length(g);
    saveName = strcat(savePath,'/',imgSet(n).name(1:end-4),'.mat');
    save(saveName, 'g');
    [n]
end

end
