%
%Gist feature extraction 
addpath(genpath('/scratch/Dai/Phd research/paper prepared/code/'));

imgPath = '/scratch/Dai/Data/segTest/12003.jpg';
patchSize = 8; 
featureDim = 35; 

bin = 8;
angle = 360;
L=0; 
roi = [1;2*patchSize;1;2*patchSize];

threshold = 30; 
numberBlocks = 1; 

img = imread(imgPath);
[H,W,Z] = size(img);
if Z>1
   img = rgb2gray(img); 
end
features = zeros((W-2*patchSize+1)*(H-2*patchSize+1),featureDim);

imgInfStruct.H = H-2*patchSize+1; 
imgInfStruct.W = W-2*patchSize+1; 

k = 0; 
for i=patchSize+1:W-patchSize+1
   for j=patchSize+1:H-patchSize+1 
       imgPatch = img(j-patchSize:j+patchSize-1,i-patchSize:i+patchSize-1);
       g = anna_phog(imgPatch,bin,angle,L,roi);
       c = colorHist(imgPatch,threshold,numberBlocks);
       
       k=k+1; 
       features(k,:) = cat(1,g,c);
   end    
end
imgInfStruct.feature = features; 
